# UPDATE REQUEST

Updates information about a request.

Endpoint: PUT /api/v1/requests/{id}
Version: v1

## Path parameters:

  - `id` (string, required)
    The unique identifier of the Request

## Request fields (application/json):

  - `profile` (string, required)
    Certificate profile

  - `scratchcard` (string, required)
    Available and unused scratchcard serial number. The first unused scratcard serial number can be obtained in the Get first unused call

  - `secure_element` (string)
    Can be 0, 1 or 2 which stands respectively to Software, Smartcard and Cloud

  - `registration_authority` (string, required)
    The unique identifier (PK) of the RA (it's assigned when is created)

  - `country_name` (string, required)
    The country where the RA is registered

  - `serial_number` (string)
    The user's document serial number

  - `id_document_country` (string)
    The user's id document country two-letters code (ISO 3166-1 alpha-2)

  - `id_document_type` (string)
    The user's document type

  - `given_name` (string)
    The user's given name

  - `surname_1` (string)
    The user's first surname

  - `surname_2` (string)
    The user's second surname

  - `email` (string, required)
    The user's email

  - `mobile_phone_number` (string)
    The user's mobile phone number

  - `paperless_mode` (number)
    This parameter must be included and set to 1 for a classic certificate request

  - `videoid_mode` (number)
    This parameter must be included and set to 1 for a Video ID certificate request

## Response 400 fields (application/json):

  - `detail` (string)
    JSON syntax error

## Response 404 fields (application/json):

  - `code` (string)
    The response status code

  - `id` (string)
    The response status id

  - `error` (string)
    The response status message

## Response 412 fields (application/json):

  - `code` (string)
    The response status code

  - `id` (string)
    The response status id

  - `error` (string)
    The response status message

## Response 500 fields (application/json):

  - `code` (string)
    The response status code

  - `id` (string)
    The response status id

  - `error` (string)
    The response status message


